Compute Acquire Node Scoped
POST
HTTPBearerheader
AuthorizationBearer <token>node_id*Node Idapplication/json- body
approval_session_id?string|nullcmd_id?string|nullcompute_grant_id*Compute Grant Idcontext_node_id?string|nulllaunch_kwargs?|nulllease_control_token?string|nulloffer_id*Offer Idpurpose*Purposeregion?string|nullworkspace_path?string|nullSuccessful Response
application/json- response
compute*[key: string]?anyExample Request
curl -X POST 'https://flywheel.paradigma.inc/api/v1/nodes/string/compute/acquire' \ -H 'Content-Type: application/json' \ -d '{ "compute_grant_id": "string", "offer_id": "string", "purpose": "string"}'Example Response
{ "compute": { "auto_shutdown_at": "string", "budget_remaining_cents": 0, "budget_source": "string", "compute_grant_id": "string", "grant_cents": 0, "lease_control_token": "string", "lease_id": "string", "lease_status": "string", "next_retry_after_seconds": 0, "offer_id": "string", "price_cents_per_hour": 0, "provider": "string", "region": "string", "remaining_cents": 0, "request_state": "string", "root_compute_budget_id": "string", "spent_cents": 0 }}